OGRE-Next: Ogre::HlmsPassPso Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::HlmsPassPso Struct Reference
Core » Resources

IT'S MEMBERS MUST BE KEPT POD (Otherwise HlmsPso needs to be modified). More...

`#include <OgreHlmsPso.h>`

## Public Types
enum | StrongMacroblockBits { ForceDisableDepthWrites = 1u << 0u , InvertVertexWinding = 1u << 1u , NoDepthBuffer = 1u << 2u , ForceDepthClamp = 1u << 3u }

## Public Member Functions
bool | hasStrongMacroblock () const
bool | operator!= (const HlmsPassPso &_r) const
bool | operator< (const HlmsPassPso &other) const
bool | operator== (const HlmsPassPso &_r) const

## Public Attributes
uint32 | adapterId
| For multi-GPU support.
PixelFormatGpu | colourFormat [OGRE_MAX_MULTIPLE_RENDER_TARGETS]
| PF_NULL if no colour attachment is used.
PixelFormatGpu | depthFormat
| PF_NULL if no depth buffer is used.
PixelFormatGpu | resolveColourFormat [OGRE_MAX_MULTIPLE_RENDER_TARGETS]
| PF_NULL if it won't be resolved (MSAA)
SampleDescription | sampleDescription
| FSAA specific settings.
StencilParams | stencilParams
| Stencil support.
uint8 | strongMacroblockBits

## Detailed Description

IT'S MEMBERS MUST BE KEPT POD (Otherwise HlmsPso needs to be modified).

  Padding bytes should be zeroed/copied for properly testing via memcmp.

## Member Enumeration Documentation

## ◆ StrongMacroblockBits

enum Ogre::HlmsPassPso::StrongMacroblockBits

Enumerator
ForceDisableDepthWrites |
InvertVertexWinding |
NoDepthBuffer |
ForceDepthClamp |

## Member Function Documentation

## ◆ hasStrongMacroblock()

bool Ogre::HlmsPassPso::hasStrongMacroblock | ( |  | ) | const
| inline

References strongMacroblockBits.

## ◆ operator!=()

bool Ogre::HlmsPassPso::operator!= | ( | const HlmsPassPso & | _r | ) | const
| inline

## ◆ operator<()

bool Ogre::HlmsPassPso::operator< | ( | const HlmsPassPso & | other | ) | const
| inline

References adapterId, colourFormat, depthFormat, OGRE_MAX_MULTIPLE_RENDER_TARGETS, sampleDescription, stencilParams, and strongMacroblockBits.

## ◆ operator==()

bool Ogre::HlmsPassPso::operator== | ( | const HlmsPassPso & | _r | ) | const
| inline

References adapterId, colourFormat, depthFormat, OGRE_MAX_MULTIPLE_RENDER_TARGETS, sampleDescription, stencilParams, and strongMacroblockBits.

## Member Data Documentation

## ◆ adapterId

uint32 Ogre::HlmsPassPso::adapterId

For multi-GPU support.

Referenced by operator<(), and operator==().

## ◆ colourFormat

PixelFormatGpu Ogre::HlmsPassPso::colourFormat[OGRE_MAX_MULTIPLE_RENDER_TARGETS]

PF_NULL if no colour attachment is used.

Referenced by operator<(), and operator==().

## ◆ depthFormat

PixelFormatGpu Ogre::HlmsPassPso::depthFormat

PF_NULL if no depth buffer is used.

Referenced by operator<(), and operator==().

## ◆ resolveColourFormat

PixelFormatGpu Ogre::HlmsPassPso::resolveColourFormat[OGRE_MAX_MULTIPLE_RENDER_TARGETS]

PF_NULL if it won't be resolved (MSAA)

## ◆ sampleDescription

SampleDescription Ogre::HlmsPassPso::sampleDescription

FSAA specific settings.

Referenced by operator<(), and operator==().

## ◆ stencilParams

StencilParams Ogre::HlmsPassPso::stencilParams

Stencil support.

Referenced by operator<(), and operator==().

## ◆ strongMacroblockBits

uint8 Ogre::HlmsPassPso::strongMacroblockBits

Referenced by hasStrongMacroblock(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- OgreHlmsPso.h